Bug 259435 - x11/sddm: Install pam.d entries as samples
Summary: x11/sddm: Install pam.d entries as samples
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Gleb Popov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-25 13:32 UTC by Dries Michiels
Modified: 2021-11-10 06:07 UTC (History)
2 users (show)

See Also:
arrowd: maintainer-feedback+


Attachments
sddm.diff (1.54 KB, patch)
2021-10-29 21:04 UTC, Dries Michiels
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dries Michiels freebsd_committer 2021-10-25 13:32:37 UTC
etc/pam.d/sddm
etc/pam.d/sddm-autologin
etc/pam.d/sddm-greeter

These should really be samples, I uncommented the pam_kwallet5 entries so it auto logs in on login for KDE wallet but when updating the sddm package by a revision bump my changes where lost.
Comment 1 Dries Michiels freebsd_committer 2021-10-29 21:04:32 UTC
Created attachment 229129 [details]
sddm.diff

Poudriere testport looks good.

Default sample files are installed as *.default instead of *.sample.

This was borrowed from sudo which also installs *.default in pam.d.
Of course this is an easy change if *.sample is preffered over the other.
Comment 2 Gleb Popov freebsd_committer 2021-11-04 11:34:58 UTC
Funny, we do patch these files, but don't install them.

Thanks for the patch, I'll look into getting in pushed in.
Comment 3 commit-hook freebsd_committer 2021-11-10 06:06:03 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4027ae5056a912be257bb4129178332031fb48d6

commit 4027ae5056a912be257bb4129178332031fb48d6
Author:     Dries Michiels <driesm@freebsd.org>
AuthorDate: 2021-11-10 06:04:31 +0000
Commit:     Gleb Popov <arrowd@FreeBSD.org>
CommitDate: 2021-11-10 06:05:07 +0000

    x11/sddm: Install PAM configs using @sample.

    PR:             259435

 x11/sddm/Makefile  | 5 ++++-
 x11/sddm/pkg-plist | 6 +++---
 2 files changed, 7 insertions(+), 4 deletions(-)
Comment 4 Gleb Popov freebsd_committer 2021-11-10 06:07:03 UTC
Pushed in, thanks! And sorry for the delay.